Package org.apache.tools.ant.filters

## Class TokenFilter.StringTokenizer

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.util.StringTokenizer
    - - org.apache.tools.ant.filters.TokenFilter.StringTokenizer

All Implemented Interfaces:
  `java.lang.Cloneable`, `Tokenizer`

Enclosing class:
  TokenFilter

    public static class TokenFilter.StringTokenizer
    extends StringTokenizer

class to tokenize the input as areas separated by white space, or by a specified list of delim characters. Behaves like java.util.StringTokenizer. if the stream starts with delim characters, the first token will be an empty string (unless the treat delims as tokens flag is set).

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`StringTokenizer()`

### Method Summary

### Methods inherited from class org.apache.tools.ant.util.StringTokenizer

`getPostToken, getToken, setDelims, setDelimsAreTokens, setIncludeDelims, setSuppressDelims`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringTokenizer

    public StringTokenizer()